#include "Violations.h"
#include <stdlib.h>
#include <stdio.h>

void InitViolations(int x, int y, Violations * v) {
	int i, j;
	
	// byTile violations are those that occur on the <x,y> grid
	v->byTile = (int **) calloc(sizeof(int*), x);

	for (i=0; i<x; i++) {
		v->byTile[i] = (int *) calloc(sizeof(int), y);
		for (j=0; j<y; j++) {
			v->byTile[i][j]=0;
		}
	}

	// crossViolations occur between specific tiles <x1y1, x2y2>
	v->crossViolations = (int **) calloc(sizeof(int*), x*y);
	for (i=0; i<x*y; i++) {
		v->crossViolations[i] = (int *) calloc(sizeof(int), x*y);
		for (j=0; j<x*y; j++) {
			v->crossViolations[i][j]=0;
		}
	}
	
	v->total=0;
}
